"use strict";

var _react = require("react");

require("jest-dom/extend-expect");

var _ = require("../");

afterEach(_.cleanup);
test('testHook calls the callback', () => {
  const spy = jest.fn();
  (0, _.testHook)(spy);
  expect(spy).toHaveBeenCalledTimes(1);
});
test('confirm we can safely call a React Hook from within the callback', () => {
  (0, _.testHook)(() => (0, _react.useState)());
});
test('returns a function to unmount component', () => {
  let isMounted;
  const {
    unmount
  } = (0, _.testHook)(() => {
    (0, _react.useEffect)(() => {
      isMounted = true;
      return () => {
        isMounted = false;
      };
    });
  });
  expect(isMounted).toBe(true);
  unmount();
  expect(isMounted).toBe(false);
});
test('returns a function to rerender component', () => {
  let renderCount = 0;
  const {
    rerender
  } = (0, _.testHook)(() => {
    (0, _react.useEffect)(() => {
      renderCount++;
    });
  });
  expect(renderCount).toBe(1);
  rerender();
  expect(renderCount).toBe(2);
});